summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh19
1 files changed, 0 insertions, 19 deletions
diff --git a/autogen.sh b/autogen.sh
index cd8603b66d3..e870855169e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -60,15 +60,6 @@ if [ $? -ne 0 ]; then
MISSING="$MISSING tar"
fi
-# Check for python
-if [ "x${PYTHONBIN}" = "x" ]; then
- PYTHONBIN=python
-fi
-env ${PYTHONBIN} -V > /dev/null 2>&1
-if [ $? -ne 0 ]; then
- MISSING="$MISSING python"
-fi
-
## If dependencies are missing, warn the user and abort
if [ "x$MISSING" != "x" ]; then
echo "Aborting."
@@ -84,16 +75,6 @@ if [ "x$MISSING" != "x" ]; then
exit 1
fi
-## generate gf-error-codes.h from error-codes.json
-echo "Generate gf-error-codes.h ..."
-if ${PYTHONBIN} ./gen-headers.py; then
- if ! mv -fv gf-error-codes.h libglusterfs/src/gf-error-codes.h; then
- exit 1
- fi
-else
- exit 1
-fi
-
## Do the autogeneration
echo Running ${ACLOCAL}...
$ACLOCAL -I ./contrib/aclocal